Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9765)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9767)
@@ -24,4 +24,5 @@
   include("templates/spaceshipSwallow.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
 ?>
 <?lua
@@ -62,9 +63,8 @@
 
 <!-- Spawntrigger -->
-
 	<EventMultiTrigger name=spawntrigger>
 	  <events>
 	    <trigger>
-	      <SpawnPoint team=0 position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow>
+	      <SpawnPoint team=0 position="0,0,0" lookat="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
 	        <EventTrigger invert=true>
 		  <events>
@@ -79,10 +79,8 @@
 	</EventMultiTrigger>
 
-    <!-- Drone pickup -->
-    
-    <PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="20" respawnTime="30" maxSpawnedItems="2" />
+	<!-- Drone pickup -->
+	<PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="20" respawnTime="30" maxSpawnedItems="2" />
 
 <!-- QUEST DESCRIPTION-->
-
 	<LocalQuest id="spacefight.flying1">
 		<QuestDescription
@@ -118,5 +116,6 @@
 				Hint: look for a big asteroid."
 			failMessage="You've lost all your ships!"
-			completeMessage="" />
+			completeMessage="Your ship is prepared best for the second and last guard on the way to the mainship.
+				Now attack the second guard!" />
 	</LocalQuest>
 
@@ -277,48 +276,48 @@
 
 <!-- ---------------------------------------------------------------------- -->
-
-  <DistanceTrigger name="flying1" position="4000,0,0" target="SpaceShip" distance=2000 stayActive="true" delay=0 />
-
-  <DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
-
-  <DistanceTrigger name="flying2" position="13500, 2500, 10500" target="SpaceShip" distance=7000 stayActive="true" delay=0 />
-  <SimpleNotification message="search the drone!?"  broadcast="true">
-      <events>
-          <trigger>
-              <EventListener event="flying2" />
-          </trigger>
-      </events>
-  </SimpleNotification>
-
-  <DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
-  <SimpleNotification message="Hauptschiff in Sicht!"  broadcast="true">
-      <events>
-          <trigger>
-              <EventListener event="flying3" />
-          </trigger>
-      </events>
-  </SimpleNotification>
-
-<!-- Helper-Trigger for the drone(s) -->
-  <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=30 >
-    <DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0.1 />
-  </DistanceTrigger>
-
-  <SimpleNotification message="Your ship is prepared best for the second and last guard on the way to the mainship.
-				Now attack the second guard!"  broadcast="true">
-      <events>
-          <trigger>
-              <EventListener event="drone1" />
-          </trigger>
-      </events>
-  </SimpleNotification>
-
-  <SimpleNotification message="Your ship is prepared best for the final fight at the mainship."  broadcast="true">
-      <events>
-          <trigger>
-              <EventListener event="drone2" />
-          </trigger>
-      </events>
-  </SimpleNotification>
+	<!-- Second Spawntrigger -->
+	<DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+
+	<!--Helper-Trigger for first guard -->
+	<DistanceTrigger name="flying1" position="4000,0,0" target="SpaceShip" distance=2000 stayActive="true" delay=0 />
+
+	<!-- Helper-Trigger for second guard -->
+	<DistanceTrigger name="flying2" position="13500, 2500, 10500" target="SpaceShip" distance=7000 stayActive="true" delay=0 />
+	<SimpleNotification message="search the drone!?"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying2" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+	
+	<!-- Helper-Trigger for mainship -->
+	<DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
+	<SimpleNotification message="Hauptschiff in Sicht!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying3" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<!-- Helper-Trigger for the drone(s) -->
+	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0 />
+	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="drone1" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<!-- <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stay Active="true" delay=0 /> -->
+	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="drone2" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 
 <!-- ----------------------------------------------------- -->
